package hikapro.com.backpack.model;

import java.util.List;

import hikapro.com.backpack.model.entities.Category;
import hikapro.com.backpack.model.entities.Item;
import hikapro.com.backpack.model.entities.Set;

import hikapro.com.backpack.model.entities.Timestamp;
import hikapro.com.backpack.model.entities.Updates;
import retrofit2.Call;
import retrofit2.http.GET;
import retrofit2.http.Query;

/**
 * Created by tariel on 19/04/16.
 */
public interface Api {

    @GET("api/v1/backpack/items")
    Call<List<Item>> getItems();

    @GET("api/v1/backpack/item_categories")
    Call<List<Category>> getItemCategories();

    @GET("api/v1/backpack/sets")
    Call<List<Set>> getSets();

    @GET("api/v1/backpack/updates/timestamp")
    Call<Timestamp> getTimestamp();

    @GET("api/v1/backpack/updates/all")
    Call<Updates> getUpdates(@Query("timestamp") long timestamp);


}
